package com.energy.manage.service.service.vibration;

/**
 * skf接入测点数据
 */
public interface VibrationService {

    /**
     * 抽取skf测点数据生成csv文件，子设备下测点数据
     */
     void extractSkfPointData();

    /**
     * 抽取skf测点数据生成csv文件，风机下测点数据
     */
    void extracTwindGeneratorSkfPointData(String yesterdayDate);

    /**
     * 抽取skf故障频率数据生成csv文件
     */
    void extracTwindGeneratorSkfMachinePart(String yesterdayDate);


}
